import request from '@/utils/request'

// 新增文件分类标记
export function addArchivalCatalogueAPI(data) {
    return request({
        url: '/smartArchives/filesClassifyMark/addArchivalCatalogue',
        method: 'POST',
        data: data,
    })
}

// 修改文件分类标记
export function editArchivalCatalogueAPI(data) {
    return request({
        url: '/smartArchives/filesClassifyMark/editArchivalCatalogue',
        method: 'POST',
        data: data,
    })
}

// 删除文件分类标记
export function delArchivalCatalogueAPI(data) {
    return request({
        url: '/smartArchives/filesClassifyMark/delArchivalCatalogue',
        method: 'POST',
        data: data,
    })
}

// 查询文件分类标记列表
export function getFilesClassifyMarkListAPI(data) {
    return request({
        url: '/smartArchives/filesClassifyMark/list',
        method: 'GET',
        params: data,
    })
}
